## noderedrevpinodes-server 1.2.1

=== debian/changelog ===
noderedrevpinodes-server (1.2.1-1+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Marc Kittner <m.kittner@kunbus.com>  Thu, 04 Dec 2025 14:53:50 +0100

noderedrevpinodes-server (1.2.1-1+deb12+1) bookworm; urgency=medium

  * fix: Handle RevPiModIO initialization failures with retry loop.
  * fix: Reduce log file size limit in RotatingFileHandler

 -- Sven Sager <s.sager@kunbus.com>  Wed, 09 Apr 2025 13:18:10 +0200

noderedrevpinodes-server (1.2.0-1+deb12+1) bookworm; urgency=medium

  * style: Cleanup and reorder imports
  * feat: Reload RevPiModIO after driver reset and config change
  * fix: Check existence of IO in cylcefunc
  * fix: The queues must be completely emptied in one cycle
  * style: Remove unused variables
  * fix: Ignore non-existent IO names of single-input nodes
  * feat: Add logging to stdout
  * chore: Set version to 1.2.0
  * fix(deb): Ignore ci commits in changelog file

 -- Sven Sager <s.sager@kunbus.com>  Tue, 21 Jan 2025 10:18:57 +0100

noderedrevpinodes-server (1.1.2-1+deb12+1) bookworm; urgency=medium

  * fix: Check byte length of given integer to fit to output
  * fix: Allow supported data types only
  * chore: Set version to 1.1.2

 -- Sven Sager <s.sager@kunbus.com>  Fri, 18 Oct 2024 13:36:22 +0200

noderedrevpinodes-server (1.1.1-1+deb12+1) bookworm; urgency=medium

  * fix(systemd): Remove ignored memory options
  * fix(systemd): Let the daemon restart on-failure

 -- Sven Sager <s.sager@kunbus.com>  Mon, 02 Sep 2024 11:27:14 +0200

noderedrevpinodes-server (1.1.0-1+revpi12+1) bookworm; urgency=medium

  [ Dennis Filsinger ]
  * Fix client version check
  * change version in readme

  [ Nicolai Buchwitz ]
  * feat: Support IPv6 for backend server

  [ Sven Sager ]
  * feat: Set configuration file to global etc directory
  * docs: Create certificates in etc directory
  * docs: Fix README.md location of configuration file
  * feat: Remove debian files from main branch
  * feat: Add default python optimised gitignore file
  * feat: Move files to src-layout
  * feat: Create a main function with return codes
  * feat: Add python base project files
  * build: Add all necessary files for the build system
  * fix(systemd): Update unit file to new entry point
  * test: Test the import of the noderedrevpinodes_server module
  * ci: Add GitLab CI tasks to test and build two flavors of the project
  * feat: Add --version argument to program
  * feat(deb): Remove all patches as long as they are now part of main Branch
  * feat(deb): Change debian files to KUNBUS default layout
  * feat(deb): Install python package as application

 -- Sven Sager <s.sager@kunbus.com>  Tue, 02 Jul 2024 08:36:03 +0200

noderedrevpinodes-server (1.0.5-1+revpi12+2) bookworm; urgency=medium

  [ Philipp Rosenberger ]
  * Switch back to the debian/ namespace

  [ Sven Sager ]
  * feat(deb): Remove dependency to node-red-contrib-revpi-node

 -- Sven Sager <s.sager@kunbus.com>  Tue, 14 May 2024 05:52:37 +0200

noderedrevpinodes-server (1.0.5-1+revpi12+1) bookworm; urgency=medium

  * packaging: Update debian files for debian bookworm

 -- Sven Sager <s.sager@kunbus.com>  Wed, 13 Dec 2023 15:21:29 +0100

noderedrevpinodes-server (1.0.5-1+revpi11+3) bullseye; urgency=medium

  * packaging(patch): Add support IPv6 for backend server

 -- Sven Sager <s.sager@kunbus.com>  Sat, 03 Jun 2023 07:42:12 +0200

noderedrevpinodes-server (1.0.5-1+revpi11+2) bullseye; urgency=medium

  * packaging: Add dependency to node-red-contrib-revpi-nodes

 -- Sven Sager <s.sager@kunbus.com>  Thu, 01 Jun 2023 13:45:35 +0200

noderedrevpinodes-server (1.0.5-1+revpi11+1) bullseye; urgency=medium

  [ Dennis Filsinger ]
  * Update debian changelog

  [ jgerlach-erminas ]
  * - bump version to 1.0.5 - improved performance in reading and writing signals - fixed async and thread handling - client specific update events - switch to revpimodio cycleloop - improved distro detection - removed workaround for signed values, now again equal behaviour to piTest

  [ Hilmar Bunjes ]
  * Fix missing io_names from old clients

  [ Sven Sager ]
  * Revert "Add Patches to remove the Upstream package build scripts"
  * Add patches to pull fixes from upstream project

 -- Sven Sager <s.sager@kunbus.com>  Wed, 10 May 2023 12:10:11 +0200

noderedrevpinodes-server (1.0.4-1+revpi11+1) bullseye; urgency=medium

  * Update debianization for Bullseye

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Thu, 06 Apr 2023 08:31:59 +0200

noderedrevpinodes-server (1.0.4-1+revpi10+1) buster; urgency=medium

  * Use debhelper-compat instead of the compat file
  * Avoid newer Standards-Version then provided by the debhelper version
  * Reorder the control file contents to match our other packages
  * Tell the package build we don't need root or fakeroot
  * Use KUNBUS GmbH as maintainer
  * Remove useless comments from rules file
  * Drop --with-systemd from rules file
  * Use dh_python for handling the installation
  * Fix indention of Depends block
  * Remove broken watch file
  * Use correct license for upstream source
  * Set debian/* under GPL2+ as we usually do
  * Add the upstream-branch to the gbp.conf

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Thu, 06 Apr 2023 08:02:59 +0200

noderedrevpinodes-server (1.0.4-1) stable; urgency=medium

  [ jgerlach-erminas ]
  * bumped to version 1.0.3
  * expandend list of supported clients
  * adapted debian build to new 1.0.3 release
  * integrated PR from Nicolai Buchwitz (Kunbus)
  * restore correct parameter for python websockets
  * changed log location to /var/log/revpi-server.log
  * improved message handling for "list" command
  * proper async handling for send and retrieve
  * disabled websocket message compression on server side

  [ dennis ]
  * Fix memleak and build issues
  * redesign of the asyncio calls

  [ Dennis Filsinger ]
  * version incremented to 1.0.4

  [ Philipp Rosenberger ]
  * Drop "Move the log ..." patch

