=== debian/control ===
Source: noderedrevpinodes-server
Section: misc
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: no
Vcs-Browser: https://gitlab.com/RevolutionPi/noderedrevpinodes-server
Vcs-Git: https://gitlab.com/RevolutionPi/noderedrevpinodes-server.git -b debian/trixie
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-revpimodio2 (>= 2.5.1),
 python3-bcrypt (>= 3.1.2),
 python3-cryptography (>= 1.7.1),
 python3-websockets(>= 3.2-2),
 python3-distro(>= 1.0.0),
 python3-setuptools,
Standards-Version: 4.7.2

Package: noderedrevpinodes-server
Architecture: all
Depends:
  ${misc:Depends},
  ${python3:Depends},
  python3-revpimodio2 (>= 2.5.1),
  python3-bcrypt (>= 3.1.2),
  python3-cryptography (>= 1.7.1),
  python3-websockets(>= 3.2-2),
  python3-distro(>= 1.0.0),
Description: Server backend for the RevPi-NodeRed-Nodes
 The server is needed to communicate between the Node-RED RevPi nodes and
 the I/O pins on the RevPi. It is a Python based websocket server which
 utilizes the Python library RevPiModIO to interface between the RevPi process
 image and Node-RED. The associated RevPi nodes can be acquired via the
 node-red-contrib-revpi-nodes package in the Node-RED Library or here:
 https://github.com/erminas/node-red-contrib-revpi-nodes
