=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=noderedrevpinodes-server
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/$(PYBUILD_NAME)/ --install-scripts=/usr/share/$(PYBUILD_NAME)/

%:
	dh $@ --with python3 --buildsystem=pybuild
